%global namedreltag .Beta1
%global namedversion %{version}%{?namedreltag}

Name:             jboss-websocket-1.0-api
Version:          1.0.0
Release:          0.2%{namedreltag}%{dist}
Summary:          JSR-356: Java WebSocket 1.0 API
License:          CDDL or GPLv2 with exceptions
Url:              https://github.com/jboss/jboss-websocket-api_spec
Source0:          https://github.com/jboss/jboss-websocket-api_spec/archive/%{namedversion}.tar.gz

BuildRequires:    jboss-parent
BuildRequires:    maven-local
BuildRequires:    felix-osgi-foundation
BuildRequires:    felix-parent

BuildArch:        noarch

%description
The JSR-356: Java WebSocket 1.0 API classes.

%package javadoc
Summary:          Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-websocket-api_spec-%{namedversion}

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE README

%files javadoc -f .mfiles-javadoc
%doc LICENSE README

%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-0.2.Beta1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri May 31 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.1.Beta1
- Initial packaging

